python_openerp not compatible with 6.1

Bug #1232806 reported by Christophe Combelles on 2013-09-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenERP buildout recipe
Undecided
Unassigned

Bug Description

When running the python_openerp script on 6.1

$ ./bin/python_openerp
Traceback (most recent call last):
  File "./bin/python_openerp", line 43, in <module>
    from anybox.recipe.openerp.startup import Session
  File "/home/ccomb/.buildout/eggs/anybox.recipe.openerp-1.7.2-py2.7.egg/anybox/recipe/openerp/startup.py", line 11, in <module>
    from openerp.cli import server as startup
ImportError: No module named cli

Related branches

Changed in anybox.recipe.openerp:
milestone: none → 1.7.3
Georges Racinet (gracinet) wrote :

Please tell me if the provided backport works !

Changed in anybox.recipe.openerp:
status: New → In Progress
Christophe Combelles (ccomb) wrote :

not the same but still an import problem

$ ./bin/python_openerp
Traceback (most recent call last):
  File "./bin/python_openerp", line 43, in <module>
    from anybox.recipe.openerp.runtime.session import Session
  File ".../anybox.recipe.openerp/anybox/recipe/openerp/runtime/session.py", line 17, in <module>
    from .backports.cli import server as startup
ImportError: No module named backports.cli

Changed in anybox.recipe.openerp:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers